abdera-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Glen Daniels (JIRA)" <j...@apache.org>
Subject [jira] Updated: (ABDERA-122) Client module using older version of Jetty - confuses IDEA
Date Sun, 17 Feb 2008 02:13:10 GMT

     [ https://issues.apache.org/jira/browse/ABDERA-122?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Glen Daniels updated ABDERA-122:
--------------------------------

    Attachment: jetty-version.patch

POM patch to rationalize jetty version across the project

> Client module using older version of Jetty - confuses IDEA
> ----------------------------------------------------------
>
>                 Key: ABDERA-122
>                 URL: https://issues.apache.org/jira/browse/ABDERA-122
>             Project: Abdera
>          Issue Type: Bug
>            Reporter: Glen Daniels
>         Attachments: jetty-version.patch
>
>
> Hey folks.  The abdera-client module was set to use jetty v6.0.0rc0, whereas every other
module seems to be using the current 6.1.5 version.  This caused me some grief debugging in
IDEA, which disappeared once I corrected the version.
> My solution for this is attached in a patch - basically I just replaced ALL the jetty
versions in various poms with ${jetty.version}, and then defined that property in the parent
pom.  I'd like to suggest that Abdera consider this pattern in a broader sense - we've used
it to good effect in the WS projects, and it makes it much easier to keep things in sync.
> Much appreciated if someone could commit this for me.  Thanks!

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message